#ifndef TMHistogrammingGlobalPixelXY_H
#define TMHistogrammingGlobalPixelXY_H

#include "TMHistogrammingShowDet.h"

class TH2F;
class TLine;

class TMHistogrammingGlobalPixelXY : public TMHistogrammingShowDet {
 public:
  TMHistogrammingGlobalPixelXY(TLine *tla[240]);
  virtual ~TMHistogrammingGlobalPixelXY();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:
  TH2F    *fTheHisto;
  TLine   *fDetLines[240];

};

#endif
